This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 64499 - bind 9 is unresponsive on high load.
bind 9 is unresponsive on high load.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
http://marc.theaimsgroup.com/?l=bind9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-06 17:00 EDT by Costa Tsaousis
Modified: 2016-10-10 10:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-16 15:59:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 64499 ovirt-4.0 MERGED virt: Don't crash in migration progress on compression bytes 2016-10-03 10:01 EDT
oVirt gerrit 65306 ovirt-4.0.5 MERGED virt: Don't crash in migration progress on compression bytes 2016-10-11 07:54 EDT

  None (edit)
Description Costa Tsaousis 2002-05-06 17:00:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
When operating bind9 as a caching name server on a network where there are 
thousands of concurrent requests, bind9 shipped with RH7.2 gets unresponsive 
without utilizing all system resources (network, CPU, Memory).
I have confirmed this in a lab.

Version-Release number of selected component (if applicable):
9.1.3-4

How reproducible:
Always

Steps to Reproduce:
Send a few thousand concurrent requests to bind9.

Actual Results:  bind responds to very few requests, network and CPU are 
alsmost completely idle, there is plenty of free RAM, UDP reveice queue fills 
up completely (65k).

Expected Results:  Consume all available system resources, then fill the UDP 
queue and loose requests.

Additional info:
I have sent this request to bind9 mailing list and received an answer that I 
should compile bind9 without threads. Read it at:
http://marc.theaimsgroup.com/?l=bind9-users&m=101409787119698&w=2

I have confirmed that by re-compiling bind9 without threads the problem does 
not exist: bind9 consumes all available system resources before filling up the 
UDP receive queue and loosing requests.
Comment 1 Daniel Walsh 2003-01-16 15:59:07 EST
We believe that the new thread libraries might fix this.  Could you attempt it
using one of the 8.1 betas?

Note You need to log in before you can comment on or make changes to this bug.